package _VisualDVM.ProjectData.Files;
import Common.Database.Tables.DBTable;

import java.util.Vector;
import java.util.stream.Collectors;
public class FilesDBTable extends DBTable<String, DBProjectFile> {
    public FilesDBTable() {
        super(String.class, DBProjectFile.class);
    }
    //todo временно.когда появится общий предок у таблиц и деревьев назначать дерево как createUI
    public int getSelectedCount() {
        return (int) Data.values().stream().filter(d -> d.isSelected()).count();
    }
    public Vector<DBProjectFile> getSelectedItems() {
        return Data.values().stream().filter(d -> d.isSelected()).collect(Collectors.toCollection(Vector::new));
    }
}
